Skip to main content
`Ctrl`+`K`

# local_partial_pixel_derivatives

astropy.wcs.utils.local_partial_pixel_derivatives(wcs, *pixel, normalize_by_world=False)

  Return a matrix of shape `(world_n_dim, pixel_n_dim)` where each entry `[i, j]` is the partial derivative d(world_i)/d(pixel_j) at the requested pixel position.

  Parameters:
    wcs `WCS`

      The WCS transformation to evaluate the derivatives for.

    *pixel `python:float`

      The scalar pixel coordinates at which to evaluate the derivatives.

    normalize_by_world bool

      If `True`, the matrix is normalized so that for each world entry the derivatives add up to 1.